org.eclipse.ease.lang.python.debugger.actions

## Class ViewFilterAction

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerFilter
  - - org.eclipse.ease.lang.python.debugger.actions.ViewFilterAction

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2, IViewActionDelegate

Direct Known Subclasses:
  FrameworkFilterAction, MagicFilterAction

    public abstract class ViewFilterAction
    extends ViewerFilter
    implements IViewActionDelegate, IActionDelegate2

Abstract action that can be used to update an `IDebugView`

Since:
  1.0

### Constructor Summary

Constructors
Constructor and Description
`ViewFilterAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `init(IAction action)`
`void` `init(IViewPart view)`
`void` `run(IAction action)`
`void` `runWithEvent(IAction action, Event event)`
`void` `selectionChanged(IAction action, ISelection selection)`

### Methods inherited from class org.eclipse.jface.viewers.ViewerFilter

`filter, filter, isFilterProperty, select`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewFilterAction

    public ViewFilterAction()

### Method Detail

#### init

    public void init(IViewPart view)

Specified by:
  `init` in interface `IViewActionDelegate`

#### init

    public void init(IAction action)

Specified by:
  `init` in interface `IActionDelegate2`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IActionDelegate2`

#### runWithEvent

    public void runWithEvent(IAction action,
                             Event event)

Specified by:
  `runWithEvent` in interface `IActionDelegate2`

#### run

    public void run(IAction action)

Specified by:
  `run` in interface `IActionDelegate`

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

Specified by:
  `selectionChanged` in interface `IActionDelegate`